Debian Bug report logs - #601144
partman-target: wrong cdrom options in /etc/fstab on kfreebsd

version graph

Package: partman-target; Maintainer for partman-target is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-target is src:partman-target.

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sat, 23 Oct 2010 19:36:02 UTC

Severity: normal

Fixed in version partman-target/71

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#601144; Package freebsd-utils. (Sat, 23 Oct 2010 19:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 23 Oct 2010 19:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: freebsd-utils: mount can't mount /media/cdrom0 using /etc/fstab.
Date: Sat, 23 Oct 2010 20:32:19 +0100
[Message part 1 (text/plain, inline)]
Package: freebsd-utils
Version: 8.1-2+b1
Severity: normal
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

The freebsd-utils /bin/mount can't mount /media/cdrom0 using the
/etc/fstab entry.

# grep /media/cdrom0 /etc/fstab 
/dev/cd0        /media/cdrom0   cd9660  user,noauto     0       0
# mount /media/cdrom0 
mount: /media/cdrom0 has unknown file system type
# echo $?
1
# mount -v /media/cdrom0 
mount: /media/cdrom0 has unknown file system type
# mount -t cd9660 /dev/cd0 /media/cdrom0 
# mount | grep /media/cdrom0
/dev/cd0 on /media/cdrom0 (cd9660, local, read-only)
# mount -p | grep /media/cdrom0
/dev/cd0		/media/cdrom0		cd9660	ro		0 0
# umount /media/cdrom0
# echo $?
0

Regards,
Mike.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-utils depends on:
ii  libbsd0                       0.2.0-1    utility functions from BSD systems
ii  libc0.1                       2.11.2-6   Embedded GNU C Library: Shared lib
ii  libcam0                       8.1-5      FreeBSD CAM (Common Access Method)
ii  libgcc1                       1:4.4.5-4  GCC support library
ii  libgeom0                      8.1-5      FreeBSD GEOM library
ii  libkiconv4                    8.1-5      FreeBSD kernel side iconv library 
ii  libkvm0                       8.1-5      FreeBSD kvm (kernel memory interfa
ii  libsbuf0                      8.1-5      FreeBSD string buffer library
ii  libstdc++6                    4.4.5-4    The GNU Standard C++ Library v3
ii  ufsutils                      7.3-1+b1   UFS filesystems utilities

freebsd-utils recommends no packages.

Versions of packages freebsd-utils suggests:
pn  freebsd-hackedutils           <none>     (no description available)
ii  kbdcontrol                    8.1-2+b1   command-line tool to change keyboa
ii  vidcontrol                    8.1-2+b1   command-line tool to control the s

-- no debconf information


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#601144; Package freebsd-utils. (Tue, 09 Nov 2010 09:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 09 Nov 2010 09:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 601144@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 601144@bugs.debian.org
Subject: freebsd-utils: mount can't mount /media/cdrom0 using /etc/fstab
Date: Tue, 9 Nov 2010 10:43:04 +0100 (CET)
Hi,

the problem is slightly different - problematic options in fstab.

1st, the "user" option is not supported.
2nd, the  cdrom cannot be mounted read-write and the error code
	is misleading:

bsd:~# grep cd0 /etc/fstab
/dev/cd0                /cdrom          cd9660  noauto  0       0
bsd:~# mount /cdrom
mount: /cdrom has unknown file system type

But with correct options

bsd:~# grep cd0 /etc/fstab
/dev/cd0                /cdrom          cd9660  ro,noauto  0       0
bsd:~# mount /cdrom
bsd:~# echo $?
0
bsd:~# mount | grep cdrom
/dev/cd0 on /cdrom (cd9660, local, read-only)


Petr





Bug reassigned from package 'freebsd-utils' to 'partman-target'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 21:24:18 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freebsd-utils/8.1-2. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 21:24:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'partman-target: wrong cdrom options in /etc/fstab on kfreebsd' from 'freebsd-utils: mount can't mount /media/cdrom0 using /etc/fstab.' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 21:24:20 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Fri, 03 Dec 2010 21:33:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Fri, 03 Dec 2010 21:33:07 GMT) Full text and rfc822 format available.

Message #21 received at 601144-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 601144-close@bugs.debian.org
Subject: Bug#601144: fixed in partman-target 71
Date: Fri, 03 Dec 2010 21:32:21 +0000
Source: partman-target
Source-Version: 71

We believe that the bug you reported is fixed in the latest version of
partman-target, which is due to be installed in the Debian FTP archive:

partman-target_71.dsc
  to main/p/partman-target/partman-target_71.dsc
partman-target_71.tar.gz
  to main/p/partman-target/partman-target_71.tar.gz
partman-target_71_all.udeb
  to main/p/partman-target/partman-target_71_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated partman-target package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Dec 2010 22:12:57 +0100
Source: partman-target
Binary: partman-target
Architecture: source all
Version: 71
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 partman-target - Provides partman with ability to prepare /target (udeb)
Closes: 601144
Changes: 
 partman-target (71) unstable; urgency=low
 .
   [ Colin Watson ]
   * Build-depend on debhelper (>= 7.0.50~) for override support.
 .
   [ Aurelien Jarno ]
   * Fix generation of fstab CD-ROM entries on GNU/kFreeBSD (closes:
     #601144).
 .
   [ Updated translations ]
   * Lao (lo.po) by Anousak Souphavanh
   * Sinhala (si.po) by Danishka Navin
Checksums-Sha1: 
 8a62b5a3ac0891ac56b69aa906fffd7efb5b7c71 896 partman-target_71.dsc
 753e10d1bab48242dfdf03e1f8bd81112aa954a1 134933 partman-target_71.tar.gz
 0b97939243d317cab5f76d20dcf424196e3a285d 108818 partman-target_71_all.udeb
Checksums-Sha256: 
 aada100232f4c2c4d4b445566868ab48c1c104ee387e5e7f496047ae16b2fac5 896 partman-target_71.dsc
 95cbfb8875e12dad6c72051954a89945417981ad670ec9c9563c6a2d810b5526 134933 partman-target_71.tar.gz
 77dd52c8d99d290dbb7203ce2e867338288d9fc06688bec39354bf990c23cb0a 108818 partman-target_71_all.udeb
Files: 
 c5244696eb5df992912aa6076a911198 896 debian-installer standard partman-target_71.dsc
 daeebdb04d899f3a52360777996fdf26 134933 debian-installer standard partman-target_71.tar.gz
 c8ca52190e32929f530361052e5ab166 108818 debian-installer standard partman-target_71_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFM+V4Dw3ao2vG823MRAoILAJ4y6RBp9ZNSxPpcl2huZ4tBLc+ZvwCgj1yy
1WjBia7xwQPYwamlLbRIohk=
=gZge
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jan 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:32:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.